OpenVDB: FastSweeping< SdfGridT, ExtValueT >::InitSdf Struct Reference

OpenVDB 10.1.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
FastSweeping< SdfGridT, ExtValueT >::InitSdf Struct Reference

`#include <openvdb/tools/FastSweeping.h>`

## Public Types
using | LeafRange = typename tree::LeafManager< SdfTreeT >::LeafRange

## Public Member Functions
| InitSdf (FastSweeping &parent)
| InitSdf (const InitSdf &)=default
InitSdf & | operator= (const InitSdf &)=delete
void | run (SdfValueT isoValue)
void | operator() (const LeafRange &r) const
template<typename RootOrInternalNodeT >
void | operator() (const RootOrInternalNodeT &node) const

## Public Attributes
FastSweeping * | mParent
SdfGridT * | mSdfGrid
SdfValueT | mIsoValue
SdfValueT | mAboveSign

## Member Typedef Documentation

## ◆ LeafRange

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

using LeafRange = typename tree::LeafManager<SdfTreeT>::LeafRange

## Constructor & Destructor Documentation

## ◆ InitSdf() [1/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

InitSdf | ( | FastSweeping & | parent | ) |
| inline

## ◆ InitSdf() [2/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

InitSdf | ( | const InitSdf & |  | ) |
| default

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

void operator() | ( | const LeafRange & | r | ) | const
| inline

## ◆ operator()() [2/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename RootOrInternalNodeT >

void operator() | ( | const RootOrInternalNodeT & | node | ) | const
| inline

## ◆ operator=()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

InitSdf & operator= | ( | const InitSdf & |  | ) |
| delete

## ◆ run()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

void run | ( | SdfValueT | isoValue | ) |
| inline

## Member Data Documentation

## ◆ mAboveSign

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT mAboveSign

## ◆ mIsoValue

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT mIsoValue

## ◆ mParent

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

FastSweeping* mParent

## ◆ mSdfGrid

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

SdfGridT* mSdfGrid